Skip to main content
PATCH
/
v1
/
boards
/
{boardId}
/
edges
/
{id}
Update an edge
curl --request PATCH \
  --url https://api.chatgrid.ai/v1/v1/boards/{boardId}/edges/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "dependency",
  "data": {
    "weight": 2.5
  }
}
'
{
  "object": "edge",
  "data": {
    "id": "f6a7b8c9-d0e1-2345-fabc-456789012345",
    "board_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "source_node_id": "e5f6a7b8-c9d0-1234-efab-345678901234",
    "target_node_id": "11223344-5566-7788-99aa-bbccddeeff00",
    "edge_type": "default",
    "edge_data": null,
    "created_at": "2026-03-15T10:35:00.000Z",
    "updated_at": "2026-03-15T10:35:00.000Z"
  }
}

Authorizations

Authorization
string
header
required

Pass your API key (prefixed cgk_) or a Supabase JWT in the Authorization: Bearer <token> header.

Path Parameters

boardId
string<uuid>
required

Board UUID.

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

id
string<uuid>
required

Edge UUID.

Example:

"f6a7b8c9-d0e1-2345-fabc-456789012345"

Body

application/json
type
string
Required string length: 1 - 100
Example:

"dependency"

data
object
Example:
{ "weight": 2.5 }

Response

Edge updated.

object
enum<string>
Available options:
edge
data
object